HTML Parameter Reference: Part of the Modular DocBook Stylesheet distribution
Prev |  | Next

# $generate-chapter-toc$

## Name

$generate-chapter-toc$ -- Should a Chapter Table of Contents be produced?

## Synopsis

    $generate-chapter-toc$

## Description

If true, an automatically generated chapter TOC should be included. By default, it`s true. It`s false if the output is going to a single file and the current node isn't the root element.

## Source Code

    (define $generate-chapter-toc$
      ;; Should a Chapter Table of Contents be produced?
      (lambda ()
        (or (not nochunks)
    (node-list=? (current-node) (sgml-root-element)))))

Prev | Home | Next
%generate-part-toc-on-titlepage% | Up | %force-chapter-toc%